import java.net.*;
import java.io.*;

public class Server {
	
    public static void main(String[] args) throws IOException {
    	
    	ConectionHandler conection;
    	MessageHandler message;
    	Player arrayPlayers[] = new Player[10];
        ServerSocket serverSocket = null;
        GamesTable gamesTable = new GamesTable();
                       
        try {
            serverSocket = new ServerSocket(5555);
            System.out.println("*************  Servidor Ok!  *************");
        } catch (IOException e) {
            System.err.println("Could not listen on port: 4444.");
            System.exit(-1);
        }
        
    	for(int i = 0; i < 10; i++ ) 
    		arrayPlayers[i] = new Player(false);        
        
    	conection = new ConectionHandler(arrayPlayers, serverSocket);
    	conection.start();
        
        message = new MessageHandler(arrayPlayers, gamesTable);
        message.start();       
        
                
        boolean sair = false;
        while (!sair){
        String sentence; 
        BufferedReader inFromUser = 
          new BufferedReader(new InputStreamReader(System.in)); 
        sentence = inFromUser.readLine();
        if (sentence.equalsIgnoreCase("sair"))
        	sair = true;
        if (sentence.equalsIgnoreCase("teste01")){
        	System.out.println(arrayPlayers[0].nick);
        	System.out.println(arrayPlayers[1].nick);
        	}
        }
        System.out.println("sair");
        conection.stop();
        message.stop();
        System.out.println("sair2");
        serverSocket.close();
        System.out.println("*************  Servidor Fechado !  *************");

    }
}
